Subject: [BugDB] Problem with Opera 6.0 (PR#662)

From: [email-masked]
Date: Wed, 30 Jan 2002 12:11:15 +0100 (MET)

Full_Name: Roman Y. Shibrick
Version: 2.8.5
OS: FreeBSD 4.4-stable
Submission from: (NULL) (212.188.123.131)

1. I use Apache-1.3.22+mod_ssl_2.8.5+mod_perl+HTML-Embperl-1.3.4.
2. There is a following code:
   [- 
      open FILE, "> /tmp/$filename";
      print FILE $buffer while read( $fdat{myUploadObject}, $buffer,   
      32768 );
      close FILE;
    -]
    ....
    <form method="post" enctype"multipart/form-data">
     ...
     <input type="file" NAME ="myUploadObject" ...>
     ...
     </form>
3. I work with the form. I send file ~150K.
4. Opera inform: Connection refused. Log:
   
   mod_ssl: SSL error on reading data ( OpenSSL library error follow )
   OpenSSL: error:1408F10B:SSL routines:SSL3_GET_RECORD: wrong version number
5. # openssl version
   OpenSSL 0.9.6a 5 Apr. 2001
6. If I use IE 5.5 or Nescape Communicator 4.79 the given error does not arise.
7. If I unload a file of the small size the given error does not arise.        

Whot IS IT?
______________________________________________________________________
Apache Interface to OpenSSL (mod_ssl)                   www.modssl.org
User Support Mailing List                      [email-masked]
Automated List Manager                            [email-masked]